```
████████╗██████╗ ██╗██╗  ██╗██╗   ██╗
╚══██╔══╝██╔══██╗██║╚██╗██╔╝╚██╗ ██╔╝
   ██║   ██████╔╝██║ ╚███╔╝  ╚████╔╝
   ██║   ██╔══██╗██║ ██╔██╗   ╚██╔╝
   ██║   ██║  ██║██║██╔╝ ██╗   ██║
   ╚═╝   ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝   ╚═╝
```

Trtixy is a begginer friendy config for nevim, that aims to be powerfull while
remaining minimal, compared to other nvim distributions.


## Notable plugins and features include :
- `onedark` and `nightfox` colorschemes
- `zen-mode` with `twilight`
- new, modern ui by `nui` and `noice`
- improved camelCase navigation wit w, b, e etc
- `harpoon` for easier jumping between project files
- pomodoro timer using `nomodoro` ; when pomodoro timer runs out, break starts with `cellular-automation.nvim`
- git integration using `gitsigns` and `neogit`
- debugger interface with `nvim-dap-ui`
- `hlchunk.nvim` used for highlighting current scope
- `veil` as a dashboard and startpage
- `chadtree` for file tree view
- `lsp-zero` as a language server setup, simply briliant


## Installation
```
git clone https://gitlab.com/sumarac/trixy ~/.config/nvim/
```
It should pull Lazy.nvim itself, and also all of the plugins.


## Screenshots

![image](veil.png) 
![image](code.png)
